export GOBIN=$(go env GOPATH)/bin
export PATH=$PATH:$GOBIN

go install google.golang.org/protobuf/compiler/protogen

export SNAKE_RPC_PATH=$PWD/snakesimulator
mkdir -p $SNAKE_RPC_PATH
rm -f $SNAKE_RPC_PATH/*.pb.go
protoc -I$SNAKE_RPC_PATH --go_out=plugins=grpc:$SNAKE_RPC_PATH $SNAKE_RPC_PATH/snakesimulator.proto

go build -o bin/snakesimulator
